
Ryzom - Bug # 1489

Status: Closed Priority: Normal
Author: tebruno99 Category: OS: Mac
Created: 09/05/2012 Assignee: kervala
Updated: 02/12/2013 Due date:
Subject: cmake Xcode project generation broken
Description

While building Mac client for tita i found cmake's xcode project generation has broken.  Seems that the SDK path is being set to the
compilation directory.

This happens since rev2228.  Removing lines 535 to 569 fixes the issue.

The error in the log (Log is attached):

error: There is no SDK with the name or path '/Users/tom/Projects/OSX/Tempest/code/xcode/CMakeFiles/CMakeTmp/macosx'

History
#1 - 09/05/2012 07:54 am - Botanic

changeset 2228:7de78850f86e

#2 - 09/05/2012 07:57 am - tebruno99

Botanic thanks. I am still getting used to Mercurial & didn't know revision ID could change.

#3 - 09/05/2012 09:54 am - kervala

Please what Xcode version are you using ?

The only line to comment out is :
SET(CMAKE_OSX_SYSROOT "macosx" CACHE PATH "" FORCE)

When you set "macosx" instead of a specific path, it should use the last available SDK for this platform (iphoneos or macosx).

I've tried that under Xcode 4.3.2, 4.3.3 and 4.4.1. I'll check again.

Btw the revision is :

hg log -r 7de78850f86e
changeset:   2166:7de78850f86e
user:        kervala
date:        Tue May 08 00:07:14 2012 +0200
summary:     Added: Xcode checks and specific flags

#4 - 09/05/2012 10:06 am - tebruno99
i've tested on my desktop 10.8 with xcode 4.4.1  and a cleanroom 10.8 with only 4.4.1 installed. same result on both.

#5 - 09/05/2012 03:14 pm - kervala

I fixed it iun r2615, but I'm not sure if you can target any previous Mac OS X version with only the last SDK.

Example: Target Mac OS X 10.6 with SDK 10.8.

The problem was CMake system checks are using command line and not Xcode. The "macosx" base SDK works for my other Mac OS X projects that
don't check for system functions.

Edit: Sorry, I forgot to put the issue number :(

#6 - 09/05/2012 03:15 pm - kervala
- Status changed from New to Resolved
- Target version set to Version 0.9.0
- % Done changed from 0 to 100

#7 - 09/05/2012 05:44 pm - tebruno99

Once the Xcode project is generated, switching the SDK that I want to build with via Xcode's settings would be possible.  I would probably audit the
SDK settings when building anyway just to make sure its correct.  If the project won't generate I wouldn't be able to change those settings so I think this
way is more preferable.

#8 - 09/24/2012 04:07 pm - kervala
- Status changed from Resolved to Closed
CMakeError.log 21.2 kB 09/05/2012 tebruno99
